/*
 *  soapUI, copyright (C) 2006 eviware.com 
 *
 *  soapUI is free software; you can redistribute it and/or modify it under the 
 *  terms of the GNU Lesser General Public License as published by the Free Software Foundation; 
 *  either version 2.1 of the License, or (at your option) any later version.
 *
 *  soapUI is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without 
 *  even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. 
 *  See the GNU Lesser General Public License for more details at gnu.org.
 */

package com.eviware.soapui.impl.wsdl.actions.testcase;

import java.awt.event.ActionEvent;

import javax.swing.AbstractAction;
import javax.swing.Action;

import com.eviware.soapui.SoapUI;
import com.eviware.soapui.impl.wsdl.WsdlTestSuite;
import com.eviware.soapui.impl.wsdl.testcase.WsdlTestCase;
import com.eviware.soapui.support.UISupport;

/**
 * Removes a WsdlTestCase from its WsdlTestSuite
 * 
 * @author Ole.Matzura
 */

public class RemoveTestCaseAction extends AbstractAction
{
   private final WsdlTestCase testCase;

	public RemoveTestCaseAction( WsdlTestCase testCase )
   {
      super( "Remove" );
		this.testCase = testCase;
      putValue( Action.SHORT_DESCRIPTION, "Removes this TestCase from the TestSuite" );
      putValue( Action.ACCELERATOR_KEY, UISupport.getKeyStroke( "DELETE" ));
   }
   
   public void actionPerformed(ActionEvent e)
	{
   	if( SoapUI.getTestMonitor().hasRunningTest( testCase ))
   	{
   		UISupport.showErrorMessage( "Cannot remove RestCase while tests are running" );
   		return;
   	}
   	
      if( UISupport.confirm( "Remove TestCase [" + testCase.getName() + "] from TestSuite", "Remove TestCase" ))
      {
      	((WsdlTestSuite)testCase.getTestSuite()).removeTestCase( testCase );
      }
   }

}
