/*
 *  soapUI, copyright (C) 2006 eviware.com 
 *
 *  soapUI is free software; you can redistribute it and/or modify it under the 
 *  terms of the GNU Lesser General Public License as published by the Free Software Foundation; 
 *  either version 2.1 of the License, or (at your option) any later version.
 *
 *  soapUI is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without 
 *  even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. 
 *  See the GNU Lesser General Public License for more details at gnu.org.
 */

package com.eviware.soapui.impl.wsdl.panels.mockoperation;

import java.beans.PropertyChangeEvent;
import java.beans.PropertyChangeListener;

import org.apache.xmlbeans.SchemaTypeSystem;
import org.apache.xmlbeans.XmlBeans;

import com.eviware.soapui.impl.wsdl.WsdlInterface;
import com.eviware.soapui.impl.wsdl.WsdlOperation;
import com.eviware.soapui.impl.wsdl.mock.WsdlMockResponse;
import com.eviware.soapui.impl.wsdl.panels.request.components.editor.support.AbstractXmlDocument;
import com.eviware.soapui.impl.wsdl.support.wsdl.WsdlContext;

public class MockResponseXmlDocument extends AbstractXmlDocument implements PropertyChangeListener
{
	private final WsdlMockResponse mockResponse;

	public MockResponseXmlDocument( WsdlMockResponse response )
	{
		this.mockResponse = response;
		
		mockResponse.addPropertyChangeListener( WsdlMockResponse.RESPONSECONTENT_PROPERTY, this );
	}

	public SchemaTypeSystem getTypeSystem()
	{
		try
		{
			WsdlOperation operation = mockResponse.getMockOperation().getOperation();
			if( operation != null )
			{
				WsdlInterface iface = operation.getInterface();
				WsdlContext wsdlContext = iface.getWsdlContext();
				return wsdlContext.getSchemaTypeSystem();
			}
		}
		catch (Exception e1)
		{
			e1.printStackTrace();
		}
		
		return XmlBeans.getBuiltinTypeSystem();
	}

	public String getXml()
	{
		return mockResponse.getResponseContent();
	}

	public void setXml( String xml )
	{
		mockResponse.setResponseContent( xml );
	}

	public void propertyChange( PropertyChangeEvent arg0 )
	{
		fireXmlChanged( (String)arg0.getOldValue(), (String)arg0.getNewValue() );
	}
}
