/*
 *  soapUI, copyright (C) 2006 eviware.com 
 *
 *  soapUI is free software; you can redistribute it and/or modify it under the 
 *  terms of the GNU Lesser General Public License as published by the Free Software Foundation; 
 *  either version 2.1 of the License, or (at your option) any later version.
 *
 *  soapUI is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without 
 *  even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. 
 *  See the GNU Lesser General Public License for more details at gnu.org.
 */

package com.eviware.soapui.impl.wsdl.panels.mockoperation;

import com.eviware.soapui.impl.wsdl.WsdlOperation;
import com.eviware.soapui.impl.wsdl.mock.WsdlMockResult;
import com.eviware.soapui.impl.wsdl.submit.WsdlMessageExchange;
import com.eviware.soapui.model.iface.Attachment;
import com.eviware.soapui.support.types.StringToStringMap;

public class WsdlMockResultMessageExchange extends WsdlMessageExchange
{
	private final WsdlMockResult mockResult;

	public WsdlMockResultMessageExchange( WsdlMockResult mockResult )
	{
		this.mockResult = mockResult;
	}
	
	public Attachment[] getRequestAttachments()
	{
		return mockResult.getMockRequest().getRequestAttachments();
	}

	public String getRequestContent()
	{
		if( mockResult == null || mockResult.getMockRequest() == null )
			return null;
		
		return  mockResult.getMockRequest().getRequestContent();
	}

	public StringToStringMap getRequestHeaders()
	{
		return mockResult.getMockRequest().getRequestHeaders();
	}

	public Attachment[] getResponseAttachments()
	{
		return mockResult.getMockResponse().getAttachments();
	}

	public String getResponseContent()
	{
		return mockResult.getResponseContent();
	}

	public StringToStringMap getResponseHeaders()
	{
		return mockResult.getResponseHeaders();
	}

	public WsdlOperation getOperation()
	{
		return mockResult.getMockResponse().getMockOperation().getOperation();
	}

	public long getTimeTaken()
	{
		return mockResult.getTimeTaken();
	}

	public long getTimestamp()
	{
		return mockResult.getTimestamp();
	}
}
