/*
 *  soapUI, copyright (C) 2006 eviware.com 
 *
 *  soapUI is free software; you can redistribute it and/or modify it under the 
 *  terms of the GNU Lesser General Public License as published by the Free Software Foundation; 
 *  either version 2.1 of the License, or (at your option) any later version.
 *
 *  soapUI is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without 
 *  even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. 
 *  See the GNU Lesser General Public License for more details at gnu.org.
 */

package com.eviware.soapui.impl.wsdl.panels.project;

import javax.swing.JPanel;

import com.eviware.soapui.impl.EmptyPanelBuilder;
import com.eviware.soapui.impl.wsdl.WsdlProject;
import com.eviware.soapui.support.components.JPropertiesTable;

/**
 * PanelBuilder for WsdlProject. Only builds an overview panel.
 *  
 * @author Ole.Matzura
 */

public class WsdlProjectPanelBuilder extends EmptyPanelBuilder<WsdlProject>
{
   public WsdlProjectPanelBuilder()
   {
   }

   public JPanel buildOverviewPanel(WsdlProject project)
   {
   	JPropertiesTable table = new JPropertiesTable<WsdlProject>( "Project Properties", project );
   	table.addProperty( "File", "path" );
   	
   	if( !project.isDisabled())
   		table.addProperty( "Cache Definitions", "cacheDefinitions", JPropertiesTable.BOOLEAN_OPTIONS );
   	
   	return table;
   }

   public boolean hasOverviewPanel()
   {
      return true;
   }
}
