/*
 *  soapUI, copyright (C) 2006 eviware.com 
 *
 *  soapUI is free software; you can redistribute it and/or modify it under the 
 *  terms of the GNU Lesser General Public License as published by the Free Software Foundation; 
 *  either version 2.1 of the License, or (at your option) any later version.
 *
 *  soapUI is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without 
 *  even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. 
 *  See the GNU Lesser General Public License for more details at gnu.org.
 */

package com.eviware.soapui.impl.wsdl.panels.request;

import javax.swing.JButton;
import javax.swing.JComponent;
import javax.swing.JToolBar;

import com.eviware.soapui.impl.wsdl.WsdlRequest;
import com.eviware.soapui.impl.wsdl.actions.request.AddRequestToTestCaseAction;

public class WsdlRequestDesktopPanel extends AbstractWsdlRequestDesktopPanel<WsdlRequest,WsdlRequest>
{
	private JButton addToTestCaseButton;
	
	public WsdlRequestDesktopPanel(WsdlRequest request)
	{
		super(request);
		init( request );
	}

	protected JComponent buildToolbar()
	{
		addToTestCaseButton = createActionButton(new AddRequestToTestCaseAction(getRequest()), true);
		return super.buildToolbar();
	}

	public void setEnabled(boolean enabled)
	{
		super.setEnabled(enabled);
		addToTestCaseButton.setEnabled(enabled);
	}

	protected void insertButtons(JToolBar toolbar)
	{
		toolbar.add(addToTestCaseButton);
	}

	@Override
	public String getTitle()
	{
		WsdlRequest request = getModelItem();
		return request.getOperation().getName() + " - " + request.getName();
	}
}
