/*
 *  soapUI, copyright (C) 2006 eviware.com 
 *
 *  soapUI is free software; you can redistribute it and/or modify it under the 
 *  terms of the GNU Lesser General Public License as published by the Free Software Foundation; 
 *  either version 2.1 of the License, or (at your option) any later version.
 *
 *  soapUI is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without 
 *  even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. 
 *  See the GNU Lesser General Public License for more details at gnu.org.
 */

package com.eviware.soapui.impl.wsdl.panels.request.components.editor.support;

import java.beans.PropertyChangeListener;
import java.beans.PropertyChangeSupport;

import com.eviware.soapui.impl.wsdl.panels.request.components.editor.XmlDocument;

public abstract class AbstractXmlDocument implements XmlDocument
{
   private PropertyChangeSupport propertyChangeSupport = new PropertyChangeSupport( this );
	
   public void addPropertyChangeListener(String propertyName, PropertyChangeListener listener)
   {
      propertyChangeSupport.addPropertyChangeListener( propertyName, listener );
   }

   public void addPropertyChangeListener(PropertyChangeListener listener)
   {
      propertyChangeSupport.addPropertyChangeListener( listener );
   }

   public void removePropertyChangeListener(PropertyChangeListener listener)
   {
      propertyChangeSupport.removePropertyChangeListener( listener );
   }
   
   public void removePropertyChangeListener(String propertyName, PropertyChangeListener listener)
	{
   	propertyChangeSupport.removePropertyChangeListener( propertyName, listener );
	}
   
   protected void fireXmlChanged( String oldValue, String newValue )
   {
   	propertyChangeSupport.firePropertyChange( XML_PROPERTY, oldValue, newValue );
   }
}
