/*
 *  soapUI, copyright (C) 2006 eviware.com 
 *
 *  soapUI is free software; you can redistribute it and/or modify it under the 
 *  terms of the GNU Lesser General Public License as published by the Free Software Foundation; 
 *  either version 2.1 of the License, or (at your option) any later version.
 *
 *  soapUI is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without 
 *  even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. 
 *  See the GNU Lesser General Public License for more details at gnu.org.
 */

package com.eviware.soapui.support;

import javax.swing.JEditorPane;
import javax.swing.event.HyperlinkEvent;
import javax.swing.event.HyperlinkListener;


public class DefaultHyperlinkListener implements HyperlinkListener
{
	private final JEditorPane editorPane;

	public DefaultHyperlinkListener( JEditorPane editorPane )
	{
		this.editorPane = editorPane;
	}

	public void hyperlinkUpdate(HyperlinkEvent e)
	{
		if( e.getEventType() == HyperlinkEvent.EventType.ACTIVATED )
		{
			if( e.getURL().getRef() != null )
			{
				editorPane.scrollToReference( e.getURL().getRef() );
			}
			else 
				Tools.openURL( e.getURL().toString() );
		}
	}
}