/*
 *  soapUI, copyright (C) 2006 eviware.com 
 *
 *  soapUI is free software; you can redistribute it and/or modify it under the 
 *  terms of the GNU Lesser General Public License as published by the Free Software Foundation; 
 *  either version 2.1 of the License, or (at your option) any later version.
 *
 *  soapUI is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without 
 *  even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. 
 *  See the GNU Lesser General Public License for more details at gnu.org.
 */

package com.eviware.x.form;

import java.util.HashMap;
import java.util.Map;

public class ComponentEnabler implements XFormFieldListener
{
	private final XFormField formField;
	private Map<XFormField,String> fields = new HashMap<XFormField,String>();

	public ComponentEnabler(XFormField formField)
	{
		this.formField = formField;
		
		formField.addFormFieldListener( this );
	}

	public void add(XFormField field, String value)
	{
		String fieldValue = formField.getValue();
		field.setEnabled( fieldValue == null ? value == null : fieldValue.equals( value ));
		fields.put( field, value );
	}

	public void valueChanged(XFormField sourceField, String newValue, String oldValue)
	{
		for( XFormField field : fields.keySet() )
		{
			field.setEnabled( newValue.equals( fields.get( field )) );
		}
	}
}
